Compile Date

Microsoft Windows graphic
Compile Date: 2004-03-16


Protecting your passwords

Data loss from resetting a password

To help keep protected information secure, once a user's password is reset some types of information are no longer accessible, including the following:

  • E-mail encrypted with the user's public key.
  • Internet passwords saved on, or remembered by, the computer.
  • Files that the user has encrypted.

To avoid such data loss, do not reset a user's password. Every local user should make a password reset disk and store it in a safe place. Then, if the user forgets his or her password, the password can be reset using the password reset disk with no loss of data.

Note

  • If the user already knows the password, he or she can change the password by going to User Accounts in Control Panel.

Related Topics


Protecting your passwords

Data loss from resetting a password

To help keep protected information secure, once a user's password is reset some types of information are no longer accessible, including the following:

  • E-mail encrypted with the user's public key.
  • Internet passwords saved on, or remembered by, the computer.
  • Files that the user has encrypted.

To avoid such data loss, do not reset a user's password. Every local user should make a password reset disk and store it in a safe place. Then, if the user forgets his or her password, the password can be reset using the password reset disk with no loss of data.

Note

  • If the user already knows the password, he or she can change the password by logging on, pressing CTRL+ALT+DEL, and then clicking Change Password.


Change your password

To change your password

Use this procedure to change the password you use when you log on to Windows if your computer is a member of a workgroup, and is not a member of a domain. For information about changing your password if your computer is a member of a domain, click Related Topics.
  1. Open User Accounts in Control Panel.
  2. Under or pick an account to change, click your account.
  3. Click Change my password.
  4. Type your current password in Type your current password.
  5. Type your new password in Type a new password and Type the new password again to confirm.
  6. You can type a word or phrase to use as a memory aid for the new password in Type a word or phrase to use as a password hint.
  7. Click Change Password.

Notes

  • XOX
  • Password security largely depends on creating strong passwords and helping to protect them. XOX


Connect to a network resource

To connect to a network resource

Use this procedure if your computer is a member of a workgroup, and is not a member of a domain.
  1. Open My Computer.
  2. On the Tools menu, click Map Network Drive.
  3. In Drive, type or select the drive letter to map to the shared resource.
  4. In Folder, type the server and share name of the resource, in the form of \\server name\share name. Or click Browse to locate the resource.
  5. Click Finish.
  6. In the User name and password dialog box, in User name, type your user name if you are prompted.
  7. In Password, type your password.

Notes

  • XOX
  • To have Windows automatically enter your password the next time you access this resource, select the Remember my password check box.
  • To have Windows automatically access this resource without displaying the User name and password dialog box, select the Don't ask for this password again check box.


Using passwords to access network resources

If your computer is a member of a workgroup and is not joined to the network domain, you can still use network resources by entering your domain user name and password.

To take advantage of this feature, connect to the network resource you want to access, such as a folder or file. Windows displays the User name and password dialog box. By entering your domain user name and password, you are supplying the credentials necessary to access the network resources.

To be able to connect to the network resource again without typing your user name or password, select the Remember my password check box. If you want Windows to automatically connect to this network resource again without displaying the User name and password dialog box, select the Don't ask for this password again check box. XOX


Protecting your passwords

Help protect your passwords

To help ensure security, passwords should be used carefully. These recommendations will help protect your passwords:

  • Never write down your password.
  • Never share your password with anyone.
  • Never use your network logon password for another purpose.
  • Use different passwords for your network logon and the Administrator account on your computer.
  • Change your network password every 60 to 90 days or as often as required in your specific environment.
  • Change your password immediately if you think it has been compromised.

You should also be careful about where you save your password on your computer. Some dialog boxes, such as those for remote access and other telephone connections, present an option to save or remember your password. Do not select that option for highly sensitive passwords because the compromise of these passwords is more possible than when they are not stored.


Have the computer remember your password

To have the computer remember your password

Use this procedure when accessing a password-protected resource on the Internet or on your company's intranet or network.
  1. In the User name and password dialog box that is displayed when you attempt to access a protected resource, in User name, type your user name.
  2. In Password, type your password.
  3. Select the Remember my password check box.
  4. Click Don't ask for this password again.

    The next time you gain access to this resource, Windows supplies the user name and password you typed.

Note

  • If you share your computer with other users, do not choose to have the computer remember your password.


Access a local user account through a password reset disk (domain)

To access the local user account through a password reset disk

If you made a password reset disk for your local user account through the Forgotten Password Wizard, you can use it to access the computer, even if you have forgotten your password.

The following instructions will only work if you are in a domain environment or on a computer that was once joined to a domain.

For information about accessing the local user account through a password reset disk in a workgroup environment, click Related Topics.

  1. At the Welcome screen, press CTRL+ALT+DEL, and type your password in Password. If you have forgotten your password, the Logon Failed dialog box is displayed.
  2. Click Reset, and put your password reset disk into drive A.
  3. Follow the instructions in the Password Reset Wizard to create a new password.
  4. Log on with the new password, and then store your password reset disk in a safe place in case you need it to reset your password in the future. You do not need to make a new password reset disk.

    For overview information about the Forgotten Password Wizard and the Password Reset Wizard, and for instructions for creating the Password Reset Disk, click Related Topics.

Note

  • The Forgotten Password Wizard helps you recover your user account and personalized computer settings if you forget your password.


Password reset disk overview

To help protect user accounts in the event that a user forgets the password, every user should make a password reset disk and keep it in a safe place. If the user forgets his or her password, the password can be reset using the password reset disk and the user will be able to access the computer again.

For information about creating the password reset disk using the Forgotten Password Wizard, or for information about using the password reset disk and Password Reset Wizard to gain access to the computer, click Related Topics.

Note

  • If the user already knows the password, he or she can change the password after logging on to Windows. XOX


Access a local user account through a password reset disk (workgroup)

To access the local user account through a password reset disk

If you made a password reset disk for your local user account through the Forgotten Password Wizard, you can use it to access the computer, even if you have forgotten your password. The following steps will only work if you are in a workgroup environment, using the Welcome screen.

For information about accessing the local user account through a password reset disk in a domain environment, click Related Topics.

  1. At the Welcome screen, click your user name, and then type your password. If you have forgotten your password, the Did you forget your password message is displayed.
  2. Click use your password reset disk to start the Password Reset Wizard.
  3. Follow the instructions in the Password Reset Wizard to create a new password.
  4. Log on with the new password, and then store your password reset disk in a safe place in case you need it to reset your password in the future. You do not need to make a new password reset disk.

    For overview information about the Forgotten Password Wizard and the Password Reset Wizard, and for instructions for creating the Password Reset Disk, click Related Topics.

Note

  • The Forgotten Password Wizard helps you recover your user account and personalized computer settings if you forget your password.


Creating strong passwords

To help keep your computer more secure, you should use a strong password. While this is a good practice in general for all of your computer accounts, it is especially important for your network logon and for the Administrator account on your computer.

For a password to be strong, it should:

  • Be at least seven characters long. Because of the way passwords are encrypted, the most secure passwords are seven or 14 characters long.
  • Contain characters from each of the following three groups:
    • Group | Examples
Letters (uppercase and lowercase) | A, B, C... (and a, b, c...)
Numerals | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9
Symbols (all characters not defined as letters or numerals) | ` ~ ! @ # $ % ^ & * ( ) _ + - = { } | [ ] \ : " ; ' < > ? , . /
  • Have at least one symbol character in the second through sixth positions.
  • Be significantly different from prior passwords.
  • Not contain your name or user name.
  • Not be a common word or name.

Passwords can be the weakest link in a computer security scheme. Strong, hard-to-guess passwords are important because the tools and computers that people use to guess passwords continue to improve. Network passwords that once took weeks to guess can now be guessed in hours.

Password-guessing software uses one of three approaches: intelligent guessing, dictionary attacks, and automation that tries every possible combination of characters. Given enough time, the automated method can guess any password. However, it can still take months to guess a strong password.

Windows passwords can be up to 127 characters long. However, if you are using XOX on a network that also has computers using Windows 95 or Windows 98, consider using passwords not longer than 14 characters. Windows 95 and Windows 98 support passwords of up to 14 characters. If your password is longer, you may not be able to log on to your network from those computers.

XOX